Registrar un nuevo servidor MCP remoto con credenciales cifradas AES-256-GCM
POST
/admin/developer/mcp-servers
const url = 'https://api.matiasimpulso.com/admin/developer/mcp-servers';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","slug":"example","description":"example","endpointUrl":"https://example.com","transport":"streamable_http","authType":"none","authHeaderName":"example","authSecret":"example","enabledToolNames":["example"],"effectToolNames":["example"],"assignedAgentIds":[1],"timeoutMs":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.matiasimpulso.com/admin/developer/mcp-servers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "slug": "example", "description": "example", "endpointUrl": "https://example.com", "transport": "streamable_http", "authType": "none", "authHeaderName": "example", "authSecret": "example", "enabledToolNames": [ "example" ], "effectToolNames": [ "example" ], "assignedAgentIds": [ 1 ], "timeoutMs": 1 }'Authorizations
Sección titulada « Authorizations »Request Bodyrequired
Sección titulada « Request Bodyrequired » Media type application/json
object
name
required
string
slug
required
string
description
string
endpointUrl
required
string format: uri
transport
string
authType
string
authHeaderName
string
authSecret
string
enabledToolNames
Array<string>
effectToolNames
Array<string>
assignedAgentIds
Array<number>
timeoutMs
number
Responses
Sección titulada « Responses » Media type application/json
object
Example generated
{}